Skip to main content
GET
/
v1
/
tokens
List supported tokens
curl --request GET \
  --url https://api.hypermid.io/v1/tokens \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "tokens": {
      "1": [
        {
          "address": "0x0000000000000000000000000000000000000000",
          "symbol": "ETH",
          "name": "Ethereum",
          "decimals": 18,
          "logoURI": "https://assets.hypermid.io/tokens/eth.png",
          "priceUSD": "3250.00"
        },
        {
          "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
          "symbol": "USDC",
          "name": "USD Coin",
          "decimals": 6,
          "logoURI": "https://assets.hypermid.io/tokens/usdc.png",
          "priceUSD": "1.00"
        },
        {
          "address": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
          "symbol": "USDT",
          "name": "Tether USD",
          "decimals": 6,
          "logoURI": "https://assets.hypermid.io/tokens/usdt.png",
          "priceUSD": "1.00"
        }
      ],
      "42161": [
        {
          "address": "0x0000000000000000000000000000000000000000",
          "symbol": "ETH",
          "name": "Ethereum",
          "decimals": 18,
          "logoURI": "https://assets.hypermid.io/tokens/eth.png",
          "priceUSD": "3250.00"
        },
        {
          "address": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
          "symbol": "USDC",
          "name": "USD Coin",
          "decimals": 6,
          "logoURI": "https://assets.hypermid.io/tokens/usdc.png",
          "priceUSD": "1.00"
        }
      ]
    }
  },
  "error": null,
  "meta": {
    "requestId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "timestamp": 1711234568,
    "rateLimit": {
      "limit": 2000,
      "remaining": 1998,
      "reset": 1711234627
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.hypermid.io/llms.txt

Use this file to discover all available pages before exploring further.

Returns the list of tokens available for swapping on the specified chains. Tokens are grouped by chain ID.
chains
string
required
Comma-separated list of chain IDs (e.g., 1,42161,137).
{
  "data": {
    "tokens": {
      "1": [
        {
          "address": "0x0000000000000000000000000000000000000000",
          "symbol": "ETH",
          "name": "Ethereum",
          "decimals": 18,
          "logoURI": "https://assets.hypermid.io/tokens/eth.png",
          "priceUSD": "3250.00"
        },
        {
          "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
          "symbol": "USDC",
          "name": "USD Coin",
          "decimals": 6,
          "logoURI": "https://assets.hypermid.io/tokens/usdc.png",
          "priceUSD": "1.00"
        },
        {
          "address": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
          "symbol": "USDT",
          "name": "Tether USD",
          "decimals": 6,
          "logoURI": "https://assets.hypermid.io/tokens/usdt.png",
          "priceUSD": "1.00"
        }
      ],
      "42161": [
        {
          "address": "0x0000000000000000000000000000000000000000",
          "symbol": "ETH",
          "name": "Ethereum",
          "decimals": 18,
          "logoURI": "https://assets.hypermid.io/tokens/eth.png",
          "priceUSD": "3250.00"
        },
        {
          "address": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
          "symbol": "USDC",
          "name": "USD Coin",
          "decimals": 6,
          "logoURI": "https://assets.hypermid.io/tokens/usdc.png",
          "priceUSD": "1.00"
        }
      ]
    }
  },
  "error": null,
  "meta": {
    "requestId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "timestamp": 1711234568,
    "rateLimit": {
      "limit": 2000,
      "remaining": 1998,
      "reset": 1711234627
    }
  }
}
const tokens = await client.getTokens({ chains: [1, 42161] });

// Get USDC on Ethereum
const ethTokens = tokens.data.tokens[1];
const usdc = ethTokens.find(t => t.symbol === "USDC");
console.log("USDC address:", usdc.address);

Authorizations

X-API-Key
string
header
required

Partner API key. Optional for public endpoints, required for /v1/partner/*.

Query Parameters

chains
string

Comma-separated chain IDs, e.g. '1,42161'

keywords
string

Search keyword, e.g. 'USDC'

Response

Token list

data
any
required

Response payload (null on error)

error
object
required
meta
object
required